#ifndef LIBKYKMODSEC_H
#define LIBKYKMODSEC_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 设置内核模块不可卸载
 * @param filename[in] 文件名
 * @return int 返回0表示成功，返回-1表示失败
 */
extern int kdk_kmod_set_anti_unloaded(const char *filename);

/**
 * @brief 取消设置内核模块不可卸载
 * @param filename[in] 文件名
 * @return int 返回0表示成功，返回-1表示失败
 */
extern int kdk_kmod_cancel_anti_unloaded(const char *filename);

#ifdef __cplusplus
}
#endif

#endif//LIBKYKMODSEC_H
